cups-filters (1.28.11-2) unstable; urgency=medium

  * debian/control: lynx has to be handled different in Debian and Ubuntu
  * debian/rules: lynx has to be handled different in Debian and Ubuntu

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Jan 2022 12:19:51 +0100

cups-filters (1.28.11-1) unstable; urgency=medium

  * Update to new upstream version 1.28.11.
  * debian/control: add myself to Uploaders:
  * debian/control: Recommend lynx (Closes: #896875)
  * debian/control: update homepage (Closes: #995911)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Jan 2022 12:29:51 +0000

cups-filters (1.28.10-2) unstable; urgency=medium

  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 12:12:22 +0200

cups-filters (1.28.10-1) unstable; urgency=low

  * New 1.28.10 upstream version
    - Stop installing ttfread, not built anymore
  * Packaging cleanup:
    - Redo get-orig-source d/rules target
    - Run wrap-and-sort -baskt
    - Upgrade to S-V 4.6.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Aug 2021 15:25:58 +0200

cups-filters (1.28.9-1) experimental; urgency=medium

  * New 1.28.9 upstream version
  * Only install /etc/modules-load.d/cups-filters.conf on
    amd64 i386 mips64el mipsel alpha hppa ia64 sparc64 (Closes: #989306)

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Jun 2021 22:12:00 +0200

cups-filters (1.28.8-3) experimental; urgency=medium

  [ Mike Gabriel ]
  * Apparmor: allow read-access to /usr/share/{,cups/}locale (Closes: #988764)

 -- Didier Raboud <odyx@debian.org>  Fri, 21 May 2021 15:54:38 +0200

cups-filters (1.28.8-2) experimental; urgency=low

  [ Sergio Durigan Junior ]
  * Backport upstream patch to circumvent conflict with upcoming OpenLDAP 2.5:
    cups-browsed: Renamed ldap_connect() due to conflict in new openldap
    (Closes: #988434)

 -- Didier Raboud <odyx@debian.org>  Sun, 16 May 2021 14:06:54 +0200

cups-filters (1.28.8-1) experimental; urgency=low

  * New 1.28.8 upstream release

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Mar 2021 19:18:52 +0200

cups-filters (1.28.7-1) unstable; urgency=medium

  * 1.28.7 upstream release
    - driverless: Removed the support quality check from Pull request #235 as
      it takes significant time for each printer being listed, making
      cups-driverd (`lpinfo -m`) timing out when there are many printers
      (OpenPrinting CUPS issue #65, Closes: #979177)
  * Drop the driverless_support_strs symbol wrongly exported since 1.27.5

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Jan 2021 10:40:57 +0100

cups-filters (1.28.6-1) unstable; urgency=medium

  * 1.28.6 upstream release
  * Update watch file format version to 4.
  * Bump S-V to 4.5.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Dec 2020 12:04:36 +0100

cups-filters (1.28.5-1) unstable; urgency=medium

  * 1.28.5 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Oct 2020 18:33:24 +0200

cups-filters (1.28.4-1) unstable; urgency=medium

  * New 1.28.4 upstream release

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Oct 2020 10:44:47 +0200

cups-filters (1.28.3-1) unstable; urgency=medium

  * New 1.28.3 upstream release
    - Bug fix release to solve problems caused by an inconsistency between the
      resolvers for DNS-SD-based URIs (Upstream issue #308)
  * d/rules: Drop unused get-orig-source target

 -- Didier Raboud <odyx@debian.org>  Fri, 02 Oct 2020 10:29:42 +0200

cups-filters (1.28.2-1) unstable; urgency=medium

  * New 1.28.2 upstream release

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Sep 2020 10:43:58 +0200

cups-filters (1.28.1-1) unstable; urgency=medium

  * New 1.28.1 upstream release
    - Drop typo patches merged upstream

  * Add lintian overrides for all our known-but-wontfix issues
  * Drop superfluous NEWS install

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Aug 2020 12:08:11 +0200

cups-filters (1.28.0-1) unstable; urgency=medium

  * New 1.28.0 upstream version
    - Install driverless-fax in cups-filters
    - Add 3 1.28.0 symbols in libcupsfilters1

  * Add patches
    - Fix successful{,l}y and unne{c,}cessarily typos
    - Fix att{t,}ributes typo

  * Packaging cleanup
    - Fix spelling errors in copyright
    - Fix file mismatch in d/copyright
    - Drop -Wl,--as-needed for Bullseye+
    - Fix cups-brf non-standard-executable-perm lintian override
    - Add Build-Depends-Package metadata in symbol files
    - Add cups-browsed lintian override
    - Add missing Pre-Depends in cups-browsed

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Aug 2020 22:25:50 +0200

cups-filters (1.27.5-2) unstable; urgency=medium

  * Patch configure.ac to force-set INITDIR instead of relying on
    'test -d /etc/init.d', which fails in s390x chroots

 -- Didier Raboud <odyx@debian.org>  Sat, 13 Jun 2020 16:43:11 +0200

cups-filters (1.27.5-1) unstable; urgency=medium

  * New upstream version 1.27.5
    - cups-browsed: Do not remove the created local queues on shutdown,
      to avoid their re-creation on restart, so that desktops get no
      cluttered with notifications of new queues being created
      (LP: #1869981, #1878241)
  * Bump debhelper from old 12 to 13
  * Update installed files' lists
  * Add 3 libcupsfilter* symbols

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Jun 2020 21:57:44 +0200

cups-filters (1.27.4-1) unstable; urgency=medium

  * New upstream version 1.27.4

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Apr 2020 15:12:50 +0200

cups-filters (1.27.3-1) unstable; urgency=medium

  * New 1.27.3 upstream version
  * Set upstream metadata fields

 -- Didier Raboud <odyx@debian.org>  Sat, 21 Mar 2020 10:51:17 +0100

cups-filters (1.27.2-1) unstable; urgency=medium

  * New 1.27.2 upstream release
    - cups-browsed: Additional checks against crashes in the
      is_local_hostname() function (LP: #1863716)
    - foomatic-rip: Zero-page-job handling changes made the last
      page of PostScript files not printed, also turning one-page
      jobs into zero-page jobs; so drop upstream backport patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Feb 2020 20:12:44 +0100

cups-filters (1.27.1-3) unstable; urgency=medium

  * Replace patch proposal with upstream's:
    [ JaiLuthra1 ]
    - foomatic-rip: correct handling of jobs; Zero-page-job handling
      changes made the last page of PostScript files not printed, also
      turning one-page jobs into zero-page jobs

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Feb 2020 18:35:35 +0100

cups-filters (1.27.1-2) unstable; urgency=medium

  * Add patch proposal from Andrey Jr. Melnikov:
    - Fix foomatic-rip postscript preprocessing; fixes empty print jobs on
      foo2zjs (at least) (upstream issue #206)

 -- Didier Raboud <odyx@debian.org>  Sat, 22 Feb 2020 17:26:46 +0100

cups-filters (1.27.1-1) unstable; urgency=medium

  * New 1.27.1 upstream release
    - Drop upstream backport patch

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Feb 2020 08:52:39 +0100

cups-filters (1.27.0-2) unstable; urgency=medium

  * Backport upstream change:
    [ Till Kamppeter ]
    - cups-browsed: Switched default for "CreateIPPPrinterQueues" to "All"
      (Closes: #921252)

 -- Didier Raboud <odyx@debian.org>  Fri, 31 Jan 2020 17:17:53 +0100

cups-filters (1.27.0-1) unstable; urgency=medium

  * New 1.27.0 upstream release
    - Add get_printer_attributes2 symbol
  * Upgrade Standards-Version to 4.5.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 27 Jan 2020 16:56:47 +0100

cups-filters (1.26.2-1) unstable; urgency=medium

  * New 1.26.2 upstream release

 -- Didier Raboud <odyx@debian.org>  Tue, 14 Jan 2020 08:27:55 +0100

cups-filters (1.26.1-1) unstable; urgency=medium

  * New 1.26.1 upstream release

 -- Didier Raboud <odyx@debian.org>  Sat, 04 Jan 2020 12:54:16 +0100

cups-filters (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
    - Add 4 new symbols to libcupsfilters1

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Dec 2019 13:05:22 +0100

cups-filters (1.25.13-1) unstable; urgency=medium

  * New upstream version 1.25.13

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Dec 2019 18:55:08 +0100

cups-filters (1.25.12-1) unstable; urgency=medium

  * New upstream version 1.25.12
  * Conclude git-debrebase in get-orig-source
  * Bump S-V to 4.4.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Nov 2019 15:16:19 +0100

cups-filters (1.25.11-1) unstable; urgency=medium

  * New upstream version 1.25.11

 -- Didier Raboud <odyx@debian.org>  Sun, 13 Oct 2019 11:37:56 +0200

cups-filters (1.25.10-1) unstable; urgency=medium

  * New upstream version 1.25.10
    - libcupsfilters: Added NULL checks when handling page size
      names as some of the page sizes in CUPS' PWG media list have
      a NULL PPD name (LP: #1847488)
  * Cleanup obsolete fields from debian/upstream/metadata

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Oct 2019 10:05:07 +0200

cups-filters (1.25.8-1) unstable; urgency=medium

  * New upstream version 1.25.8

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Oct 2019 16:00:16 +0200

cups-filters (1.25.7-1) unstable; urgency=medium

  * New upstream version 1.25.7
    - Add one symbol

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Oct 2019 12:11:46 +0200

cups-filters (1.25.6-1) unstable; urgency=medium

  * New upstream version 1.25.6

 -- Didier Raboud <odyx@debian.org>  Fri, 27 Sep 2019 10:35:16 +0200

cups-filters (1.25.5-1) unstable; urgency=medium

  * New upstream version 1.25.5
    - Update d/rules get-orig-source
    - Drop backported upstream patch

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Sep 2019 17:54:15 +0200

cups-filters (1.25.4-2) unstable; urgency=medium

  * Backport upstream patch:
    - cups-browsed: Do not cause fatal error on left over queues of a previous
      session (Closes: #939316)

 -- Didier Raboud <odyx@debian.org>  Wed, 04 Sep 2019 08:24:36 +0200

cups-filters (1.25.4-1) unstable; urgency=medium

  * New upstream version 1.25.4

 -- Didier Raboud <odyx@debian.org>  Fri, 30 Aug 2019 15:16:27 +0200

cups-filters (1.25.3-1) unstable; urgency=medium

  * New upstream version 1.25.3
    - Sample PPDs: In HP-Color_LaserJet_CM3530_MFP-PDF.ppd renamed
      "custom" choice of the option "stapleoption" to "customsize"
      as from CUPS 2.2.12 on "custom" is not accepted any more as a
      choice name in a PPD file. This should fix CUPS 2.2.12's
      autopkgtest failure.

 -- Didier Raboud <odyx@debian.org>  Wed, 21 Aug 2019 21:31:30 +0200

cups-filters (1.25.2-1) unstable; urgency=medium

  * New upstream version 1.25.2

  * Set upstream metadata fields: Contact, Name.
  * Bump debhelper from old 11 to 12.
  * Refresh gitlab-ci.yml

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Aug 2019 16:58:04 +0200

cups-filters (1.25.0-1) experimental; urgency=medium

  * New upstream version 1.25.0
    - Refresh d/copyright with CF1.0-compatible upstream COPYING
    - Remove now-unneeded libpoppler-private-dev from B-D

 -- Didier Raboud <odyx@debian.org>  Sat, 08 Jun 2019 08:57:32 +0200

cups-filters (1.24.0-1) experimental; urgency=medium

  * New upstream version 1.24.0
    - Add 4 new symbols to libcupsfilters1

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Jun 2019 08:10:31 +0200

cups-filters (1.23.0-1) experimental; urgency=medium

  * New upstream version 1.23.0
    - cups-browsed: When removing a local queue on shutdown or
      when DNS-SD reports the printer as disappeared check whether
      the local queue got overwritten by an external process as
      sometimes the shutdown or disappearing event comes too close
      for cups-browsed receiving a printer-modified notification
      from CUPS before (LP: #1731417)

 -- Didier Raboud <odyx@debian.org>  Fri, 17 May 2019 10:01:20 +0200

cups-filters (1.22.5-1) experimental; urgency=medium

  * New upstream version 1.22.5
    - foomatic-rip: Changed Ghostscript call to count pages in a PDF file to
      use "runpdfbegin" and not the undocumented Ghostscript internal
      "pdfdict", so that it works with Ghostscript ≥ 9.27 (Closes: #926576)

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Apr 2019 17:07:27 +0200

cups-filters (1.22.4-1) experimental; urgency=medium

  * New upstream version 1.22.4

 -- Didier Raboud <odyx@debian.org>  Sat, 06 Apr 2019 14:08:13 +0200

cups-filters (1.22.3-1) experimental; urgency=medium

  * New upstream version 1.22.3

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Mar 2019 17:01:30 +0100

cups-filters (1.22.2-1) experimental; urgency=medium

  * New upstream version 1.22.2
    - Add new cupsImageCrop@Base symbol

 -- Didier Raboud <odyx@debian.org>  Mon, 18 Mar 2019 17:41:12 +0100

cups-filters (1.22.1-1) experimental; urgency=medium

  * New upstream version 1.22.1

 -- Didier Raboud <odyx@debian.org>  Sat, 16 Feb 2019 14:09:02 +0100

cups-filters (1.22.0-1) experimental; urgency=low

  * New upstream version 1.22.0
  * Bump libqpdf-dev B-D to >= 8.3

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Jan 2019 14:36:00 +0100

cups-filters (1.21.6-5) unstable; urgency=medium

  * Backport upstream patch:
     - foomatic-rip: Changed Ghostscript call to count pages in a PDF file so
       that it works with GS 9.27 (Closes: #926576)

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Apr 2019 17:13:22 +0200

cups-filters (1.21.6-4) unstable; urgency=medium

  * Backport upstream patch:
    - cups-browsed, driverless: Correct attributes of get-printer-attributes
      IPP request

 -- Didier Raboud <odyx@debian.org>  Sat, 16 Feb 2019 14:31:17 +0100

cups-filters (1.21.6-3) unstable; urgency=medium

  * Backport upstream patches:
    - cups-browsed: Fixed crash in applying the BrowseFilter
      cups-browsed.conf directives (Closes: #916765)
    - pdftopdf: Fixed bug of closing temporary file prematurely when
      external PDF form flattening utilities fail

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Jan 2019 11:40:15 +0100

cups-filters (1.21.6-2) unstable; urgency=medium

  * Patch liblouis1.defs.gen.in to launch sort with LC_ALL=C for
    reproducibility

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Dec 2018 22:16:03 +0100

cups-filters (1.21.6-1) unstable; urgency=medium

  * New upstream version 1.21.6
  * Rework the Debian-specific SVG test-page, with the Ubuntu color wheels

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Dec 2018 18:33:53 +0100

cups-filters (1.21.5-2) unstable; urgency=medium

  * Backport upstream patch:
    - cups-browsed: Fixed crashes caused by checking HTTP timeouts
      (Closes: #916149)
  * Cleanup d/control thanks to `cme`
  * Add gitlab-ci.yml from Salsa CI Team

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Dec 2018 11:54:44 +0100

cups-filters (1.21.5-1) unstable; urgency=medium

  * New upstream version 1.21.5
    - cups-browsed: We cannot reliably determine whether a CUPS queue is
      temporary, so we apply the procedure to make a temporary queue
      permanent to any unshared queue (Closes: #910882, #905850, #908604)

  * Backport upstream patch:
    - cups-browsed: On shutdown queues got removed even if they still
      had jobs (Closes: #908147)

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Dec 2018 23:03:42 +0100

cups-filters (1.21.4-1) unstable; urgency=medium

  * New upstream version 1.21.4

 -- Didier Raboud <odyx@debian.org>  Sun, 25 Nov 2018 12:19:33 +0100

cups-filters (1.21.3-3) unstable; urgency=medium

  * Demote imagemagick from Recommends to Suggests (Closes: #913120)

 -- Didier Raboud <odyx@debian.org>  Mon, 12 Nov 2018 08:18:04 +0100

cups-filters (1.21.3-2) unstable; urgency=high

  * Fix FTBFS against poppler 0.69 by patching out usage of two functions
    removed in 0.69 (Closes: #910871)

 -- Didier Raboud <odyx@debian.org>  Sat, 20 Oct 2018 18:51:39 +0200

cups-filters (1.21.3-1) unstable; urgency=medium

  * New upstream version 1.21.3

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Oct 2018 15:34:15 +0200

cups-filters (1.21.2-1) unstable; urgency=medium

  * New upstream version 1.21.2
    - cups-browsed: Fixed freeing of literal string caused by
      Coverity Scan issue fix (Closes: #907399)

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Sep 2018 11:11:02 +0200

cups-filters (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1
   - foomatic-rip: Fixed segmentation fault caused by wrong
     Coverity Scan issue fix (Closes: #907026)
   - Build system: Require QPDF 8.1.0 or later as it is needed by
     bannertopdf

 -- Didier Raboud <odyx@debian.org>  Mon, 27 Aug 2018 08:05:21 +0200

cups-filters (1.21.0-1) unstable; urgency=medium

  * New upstream 1.21.0
  * Refresh debian/copyright from upstream's COPYING

 -- Didier Raboud <odyx@debian.org>  Wed, 22 Aug 2018 08:30:36 +0200

cups-filters (1.20.4-1) unstable; urgency=medium

  * New upstream version 1.20.4
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.1.5

 -- Didier Raboud <odyx@debian.org>  Sat, 14 Jul 2018 14:04:10 +0200

cups-filters (1.20.3-1) unstable; urgency=medium

  * New upstream version 1.20.3
   - cups-browsed: The new method of identifying remote CUPS queues via the
     "printer-type" TXT record field does not work for printers discovered by
     legacy CUPS broadcast (CUPS 1.5.x or older). Now consider also printers
     without TXT record (not discovered via DNS-SD) as remote CUPS queues
     (Issue #34, Closes: #895549)

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Apr 2018 18:47:40 +0200

cups-filters (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
   - cups-browsed: If the user modifies/overwrites a print queue
     created by cups-browsed, it will now automatically released
     from the control of cups-browsed, so the modified queue does
     not get removed by cups-browsed on shutdown (LP: #1731417)

  [ Samuel Thibault ]
  * Do not remove read permission on cups-brf (Closes: #878867)

  [ Didier Raboud ]
  * Add a lintian override for the specific CUPS backends permissions

 -- Didier Raboud <odyx@debian.org>  Thu, 05 Apr 2018 20:30:11 +0200

cups-filters (1.20.1-1) unstable; urgency=medium

  * New upstream version 1.20.1
    - braille: Fix installation of brftopagedbrf

 -- Didier Raboud <odyx@debian.org>  Mon, 26 Feb 2018 08:52:59 +0100

cups-filters (1.20.0-2) unstable; urgency=medium

  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Feb 2018 17:40:34 +0100

cups-filters (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
    - 16 new symbols in libcupsfilters1

  * Bump S-V to 4.1.3 without changes needed
  * Bump debhelper compat to 1
  * Patch away many typos

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Feb 2018 08:40:56 +0100

cups-filters (1.18.0-3) unstable; urgency=medium

  * Fix .maintscript rm_conffile version (Closes: #885223)

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Dec 2017 10:25:07 +0100

cups-filters (1.18.0-2) unstable; urgency=medium

  * Properly deal with /etc/fonts/conf.d/99pdftoopvp.conf obsolete conffile
    removal on upgrade (Closes: #885223)

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Dec 2017 12:32:15 +0100

cups-filters (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
    - pdftoopvp and pdftoijs are now deprecated
    - fixes and improvements for the Braille embosser support; thanks to Samuel
      Thibault

  * Bump S-V without changes needed
  * In cups-filters; don't install pdftoopvp or pdftoijs CUPS filters; these
    are deprecated upstream now
  * Remove trailing whitespaces in d/control and d/changelog
  * Upgrade debian/watch URL to https
  * Refresh debian/copyright from upstream's COPYING

 -- Didier Raboud <odyx@debian.org>  Tue, 19 Dec 2017 20:34:35 +0100

cups-filters (1.17.9-1) unstable; urgency=medium

  * New upstream version 1.17.9

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Oct 2017 10:27:37 +0200

cups-filters (1.17.8-1) unstable; urgency=medium

  * New upstream version 1.17.8
    - Tons of fixes for Braille embossers
    - Release to unstable, as QPDF 7 is there now (Closes: #876028)

  [ Samuel Thibault ]
  * Install the new braille-related filters

  [ Didier Raboud ]
  * Drop superfluous dh-systemd Build-Depend

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Sep 2017 16:57:02 +0200

cups-filters (1.17.5-1) experimental; urgency=medium

  * New upstream version 1.17.5
    - In the PPD generator for driverless printing
      renamed the "print-quality" option back to
      "cupsPrintQuality" as the support for this option got fixed
      in CUPS (CUPS issue #5090).
    - braille: Several fixes related to graphics output.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 14 Sep 2017 09:19:06 +0200

cups-filters (1.17.4-1) experimental; urgency=medium

  * New upstream version 1.17.4
    - pdftopdf: If the input PDF file contains an interactive
      form, flatten it to static PDF so that further manipulation do not let
      the filled for content getting lost (Bug #1315, LP: #1564249)

  * Drop the --with autotools_dev as dh_update_autotools_config is in the
    default dh sequence in compat 10

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Sep 2017 09:13:22 +0200

cups-filters (1.17.3-1) experimental; urgency=medium

  * New upstream version 1.17.3

  * Bump Standards-Version to 4.1.0 without changes needed
  * Mark libcupsfilters-dev & libfontembed-dev as Multi-Arch: same

 -- Didier Raboud <odyx@debian.org>  Thu, 07 Sep 2017 20:20:51 +0200

cups-filters (1.17.2-1) experimental; urgency=low

  * New upstream release 1.17.2
    - Added PCLm print output support. With this all known driverless
      printing standards (IPP Everywhere, Apple AirPrint, Mopria, Wi-Fi
      Direct) are supported, making most modern printers working under
      Linux.
    - Fixed resolution handling in the PPD generator for driverless
      printing (CUPS issue #5088, CUPS issue #5091, Closes: #868360,
      LP: #1712019).
    - rastertopdf: Prefer RLE compression instead of Flate as
      there are HP printers where Flate is buggy.

  [ Didier Raboud ]
  * Drop superfluous autotools-dev B-D

  [ Till Kamppeter ]
  * Bump libqpdf-dev B-D version to >= 7.0~
  * Install new rastertopclm in cups-filters-core-drivers
  * Updated debian/libcupsfilters1.symbols for 1.17.1

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Aug 2017 19:52:25 +0200

cups-filters (1.16.4-1) unstable; urgency=medium

  * New upstream version 1.16.4

 -- Didier Raboud <odyx@debian.org>  Wed, 23 Aug 2017 09:17:34 +0200

cups-filters (1.16.3-1) unstable; urgency=medium

  * New upstream version 1.16.3
  * Replace Homepage & Vcs-Browser with https URLs

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Aug 2017 21:54:27 +0200

cups-filters (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
    - cups-browsed: Make timeouts for HTTP access to the local CUPS daemon and
      remote IPP printers configurable. Thanks to Cedric Dufour for the patch
      (Bug #1387, Closes: #852436)
    - cups-browsed: Fixed crash which happens when using BrowsePoll
      (Closes: #723835)

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Aug 2017 14:38:01 -0400

cups-filters (1.16.0-2) unstable; urgency=medium

  * Update cme's debian/fix.scanned.copyright and therefore debian/copyright

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Jul 2017 10:42:47 +0200

cups-filters (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Jul 2017 08:40:44 +0200

cups-filters (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0
    - libcupsfilters: Added some fallbacks for incorrect resolution IPP
      attributes on IPP network printers (Closes: #868360)

  * Bump Standards-Version to 4.0.0: use autotools_dev dh helper to replace the
    config.{guess,sub} files
  * Migrate to debhelper compat 10
  * Don't install the upstart files on Ubuntu anymore
  * Drop all postinst code managing versions before the current oldstable
    (jessie, 1.0.61-5)
  * Fix minor typos in debian/copyright

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Jul 2017 09:32:37 +0200

cups-filters (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
    - cups-browsed: Use getline() instead of fgets() to read saved option
      settings. This is less crash-prone (LP: #1658833)
    - cups-browsed: Check whether a connection to the local CUPS daemon
      actually happened before using it (LP: #1644049)
    - cups-browsed: Added NULL check to avoid crashes in the Avahi resolver
      callback (LP: #1696967)

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jul 2017 08:42:27 +0200

cups-filters (1.14.0-2) unstable; urgency=low

  * Migrate 1.14.0 to unstable

  [ Till Kamppeter ]
  * Moved dependency on ImageMagick to Recommends: and removed the
    version requirements, so that also graphicsmagick-imagemagick-compat
    can be used (LP: #1562560, Closes: #823110)

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 16:56:02 +0200

cups-filters (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0
  * Use --enable-auto-setup-driverless option; document it in debian/NEWS
  * Make the serial backend world-readable (but not world-executable)
    (Closes: #862732)

 -- Didier Raboud <odyx@debian.org>  Tue, 16 May 2017 20:04:57 +0200

cups-filters (1.13.5-1) experimental; urgency=medium

  * New upstream version 1.13.5
  * Fix version typo in previous changelog entry
  * Add _CFcupsSetError symbol to libcupsfilters.so.1

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Apr 2017 10:05:35 +0200

cups-filters (1.13.4-1) experimental; urgency=medium

  * New upstream version 1.13.4
    - cups-browsed: Corrected determination whether an IPP status is an error,
      to avoid "Unable to create/modify CUPS queue (Success)" and infinite
      repetition of a succeeded operation (Closes: #852436)

  * Add get-orig-source target to shorten git-dpm

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Feb 2017 21:06:06 +0100

cups-filters (1.13.3-1) experimental; urgency=medium

  * New upstream version 1.13.3
    - libcupsfilters: When auto-generating PPD files added support for
      passing through JPEG input to printers which understand JPEG. This
      is also done in CUPS-generated PPDs (Closes: #851499)
  * Build-Depend on CUPS 2.2.2

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Jan 2017 14:02:51 +0100

cups-filters (1.13.2-1) experimental; urgency=medium

  * New upstream version 1.13.2
    - driverless: Fixes on the man page (Closes: #849075)
    - imagetoraster: Fixed several bugs in the calculation of the
      page geometry (Closes: #849380)
    - driverless: Added "-T 3" to the ippfind command line. This
      makes ippfind search the Bonjour broadcasts for up to 3
      seconds when searching for IPP printers, raising the
      reliability in finding all of them (Closes: #848712)

  [ Till Kamppeter ]
  * Updated debian/control: cups-ipp-utils is now needed by the new
    "driverless" utility in cups-filters-core-drivers and current CUPS does not
    support PPD-less printing any more, and we do driverless printing instead

 -- Didier Raboud <odyx@debian.org>  Thu, 29 Dec 2016 09:33:24 +0100

cups-filters (1.13.1-1) experimental; urgency=medium

  * New upstream version 1.13.1
    - cups-browsed: If CUPS is stopped while cups-browsed is
      running and there are queue for IPP network printers (not
      remote CUPS queues) on restart of CUPS the still existing
      local CUPS queue is not correctly re-connected with
      cups-browsed and therefore gets removed after a
      timeout. This should be fixed after a clean-up of
      re-connecting with remaining queues from a previous session
      (Closes: #848223)
    - cups-browsed: Generated queues did not get removed on
      shutdown (Closes: #848167)

 -- Didier Raboud <odyx@debian.org>  Mon, 19 Dec 2016 08:45:27 +0100

cups-filters (1.13.0-2) experimental; urgency=medium

  * Don't install rastertopdf twice (Closes: #847653)

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Dec 2016 10:00:34 +0100

cups-filters (1.13.0-1) experimental; urgency=medium

  * New upstream version 1.13.0
  * Install rastertopdf, not urftopdf
  * Move /usr/bin/driverless and its backend to cups-filters-core-drivers; add
    Replaces/Breaks as needed

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Dec 2016 19:04:41 +0100

cups-filters (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Build-Depend on the CUPS version in experimental (pre 2.2.2)

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Dec 2016 10:32:22 +0100

cups-filters (1.11.6-3) unstable; urgency=medium

  [ Didier Raboud ]
  * Backport bug-fixes from the 1.13 branch:
    - cups-browsed: Fixed handling of IPP network printer queues when
      cupsd gets temporarily stopped while cups-browsed keeps running
      (Closes: #848167, #848223)
    - imagetoraster: Fixed several bugs in the calculation of the page
      geometry (Closes: #849380)
    - cups-browsed: Make support for printers with IPv6 IP addresses work

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Jan 2017 14:44:34 +0100

cups-filters (1.11.6-2) unstable; urgency=medium

  [ intrigeri ]
  * Fix incomplete apparmor profile (Closes: #846884)

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Dec 2016 13:31:56 +0100

cups-filters (1.11.6-1) unstable; urgency=medium

  * New 1.11.6 upstream release
    - cups-browsed: Allow changing BrowseInterval and BrowseTimeout via
      cups-browsed.conf, as it was formerly with CUPS (Closes: #794655)
  * Use full hardening
  * Add required lsb-base dependency to cups-browsed

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Nov 2016 19:00:00 +0100

cups-filters (1.11.4-1) unstable; urgency=medium

  * New 1.11.4 upstream release
    - cups-browsed: Cleaned up HTTP access to local and remote
      CUPS servers and IPP printers, to assure that the local CUPS
      daemon is always accessed the same (user-defined) way
      (domain socket/localhost:port). This especially prevents
      cups-browsed hanging on shutdown (Closes: #832637).
    - Added support for MuPDF as PDF renderer. MuPDF is a lightweight
      renderer especially interesting for mobile devices.
    - cups-browsed: Fixed several memory leaks, especially when
      using IPP requests and DNS-SD TXT record look-ups. Thanks to
      Ivo Straka for finding them with Valgrind and supplying
      patches to fix them (Upstream bug #1365, Upstream bug #1368,
      LP: #1203276).
    - beh: Fixed printing multiple copies with beh (LP: #1605514).
    - libcupsfilters: Added missing "#include <cups/ppd.h>" to make
      sure that the package builds on all systems (Bug #1366,
      Closes: #838972)
    - README: Added documentation for the pdfAutorotate option in
      pdftopdf (Closes: #824419)

  [ Till Kamppeter ]
  * Update debian/copyright and added the new upstream files to the appropriate
    binary packages
  * Added rules to AppArmor profile to allow cups-browsed to do its debug log
    and to access PPDs for saving options.

 -- Didier Raboud <odyx@debian.org>  Thu, 29 Sep 2016 23:22:14 +0200

cups-filters (1.10.0-1) unstable; urgency=medium

  * New upstream release
    - cups-browsed: From cups-browsed.service removed the unneeded
      "Wants=cups.service" as we have "Requires=cups.service"
      (Closes: #827455, #827457)
    - pdftops: Also added Dell to the list of manufacturers whose printers need
      Poppler's PostScript to work around their PostScript interpreter bugs
      (Closes: #827040)

  * Update debian/copyright from upstream's
  * Update the cups filter names

 -- Didier Raboud <odyx@debian.org>  Sat, 16 Jul 2016 13:47:49 +0200

cups-filters (1.9.0-2) unstable; urgency=medium

  [ Till Kamppeter ]
  * Added dependency on cups-daemon to the cups-browsed binary package, as
    cups-browsed does not actually work without cupsd
   (Closes: #827455, Closes: #827457)

 -- Didier Raboud <odyx@debian.org>  Sat, 18 Jun 2016 11:59:01 +0200

cups-filters (1.9.0-1) unstable; urgency=medium

  * New upstream release
   - pdftopdf: Added functionality for logging pages in the
     /var/log/cups/page_log file. Logging can also be forced or suppressed via
     command line (page-logging=on/off/auto) and page logging is also done for
     filters which should do but actually do not do: foomatic-rip, gstopxl,
     hpps (CUPS issue #4798, LP: #1585380)
   - cups-browsed: Added "Requires=cups-service" to the cups-browsed.service
     file, so that systemd keeps CUPS running while shutting down cups-browsed
     on system shutdown (LP: #1579905)
   - cups-browsed/sys5ippprinter: Fixed documentation about the allowed input
     formats for auto-created network printer queues using sys5ippprinter, also
     improved NEWS entry about renaming of sys5ippprinter (Closes: #819665)

  [ Till Kamppeter ]
  * Added Conflicts:/Replaces:/Provides: foomatic-filters-beh to the
    cups-filters binary package due to the fact that the beh backend is now
    part of cups-filters (LP: #1563686, Closes: #816700)

  [ Didier Raboud ]
  * Bump S-V to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jun 2016 22:16:37 +0200

cups-filters (1.8.3-2) unstable; urgency=medium

  [ Till Kamppeter ]
  * Install the new /usr/share/cups/mime/cupsfilters-ghostscript.convs file

 -- Didier Raboud <odyx@debian.org>  Fri, 25 Mar 2016 17:19:45 +0100

cups-filters (1.8.3-1) unstable; urgency=medium

  * New upstream release
   - cups-browsed: When creating or modifying a local print queue
     set the printer-is-shared bit to false in a separate IPP
     request as this operation errors on queues directly pointing
     to remote CUPS queues with the IPP backend. This way we can
     ignore the error and assure that all other settings are
     applied (LP: #1560099)

  * Refresh debian/copyright to reflect the gstoraster convs file split

 -- Didier Raboud <odyx@debian.org>  Thu, 24 Mar 2016 13:27:49 +0100

cups-filters (1.8.2-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.7 without changes needed
  * Drop superfluous liblouis-data dependency (Closes: #816304)

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Feb 2016 22:15:54 +0100

cups-filters (1.8.2-2) unstable; urgency=medium

  * Make the liblouis-bin an alternate recommendation of liblouisutdml-bin
    (Closes: #813094)

 -- Didier Raboud <odyx@debian.org>  Mon, 15 Feb 2016 07:47:09 +0100

cups-filters (1.8.2-1) unstable; urgency=medium

  * New upstream release
    - cups-browsed: Optionally generate also local queues pointing
      to remote raw queues. Usually only queues pointing to remote
      queues with PPD/driver are created (Closes: #814020)

 -- Didier Raboud <odyx@debian.org>  Sat, 13 Feb 2016 16:38:58 +0100

cups-filters (1.8.1-1) unstable; urgency=medium

  * New upstream release
    - cups-browsed: Do not disable queues which still have jobs (and
      therefore cannot be removed) when avahi-daemon goes away, the
      print server is most probably still available and printing can
      be continued. Especially important on mobile devices where
      avahi-daemon is shut down when the print dialog is closed (and
      the job(s) still printing).

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Jan 2016 09:25:46 +0100

cups-filters (1.8.0-1) unstable; urgency=medium

  * New upstream release
    - COPYING: Replaced the COPYING file by a file in Debian format,
      derived from Debian's file but updated and corrected
    - braille: Added info about additional packages needed for Braille
      printing to the README file
    - braille: Let the Braille filters use lou_translate of
      liblouis if the more sophisticated file2brl of liblouisutdml
      is not installed. This is decided on at run time, so later
      installation of liblouisutdml will let the filters
      automatically switch to file2brl
    - braille: Allow one to build with Braille support also if
      liblouis is not installed at build time
    - braille: Added checks for the presence of helper tools, to
      get clear messages in the CUPS error_log if something is
      missing
    - Updated COPYING file for missing implicitclass and beh
      backends

  [ Till Kamppeter ]
  * Let cups-drivers not depend on liblouisutdml-bin any more, instead, let it
    depend on liblouis-bin and move liblouisutdml-bin to Suggests
    (Closes: #808057)
  * Updated and cleaned debian/copyright using the new COPYING file from
    upstream

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Jan 2016 19:26:43 +0100

cups-filters (1.7.0-1) unstable; urgency=medium

  * New upstream release
    - cups-browsed: Added possibility to trigger the auto shutdown
      by the queues of cups-browsed being without jobs. Before
      auto shutdown was only possible when all queues have gone
      away. This allows auto shutdown on mobile devices where
      avahi-daemon is also used for other things than printing.

 -- Didier Raboud <odyx@debian.org>  Wed, 20 Jan 2016 08:36:12 +0100

cups-filters (1.6.0-1) unstable; urgency=medium

  * New upstream release
   - foomatic-rip: Fixed buffer overflow when reading environment
     variables CUPS_FONTPATH, CUPS_DATADIR, and GS_LIB
     (Bug #1336)
   - beh: Introduced beh, the Backend Error Handler, a wrapper
     backend to make handling of backend errors more
     configurable
  * Refresh debian/copyright
  * Install the 'beh' backend in cups-filters

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Jan 2016 12:50:16 +0100

cups-filters (1.5.0-1) unstable; urgency=medium

  * New upstream release
   - cups-browsed: Add -c, -o and -h command line options
  * Remove libpng12-dev Build-Depends alternative to libpng-dev
    (Closes: #810174)
  * Remove leftover cups-filter-dbg comment in debian/control

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Jan 2016 16:03:00 +0100

cups-filters (1.4.0-1) unstable; urgency=medium

  * New upstream release
   - foomatic-rip: SECURITY FIX: Also consider the semicolon (';') as an
     illegal shell escape character. Thanks to Adam Chester for the hint
     (CVE-2015-8560, Closes: #807930)
   - Added support for Braille embossing via CUPS

  [ Till Kamppeter ]
  * Changes for the upstream addition of the Braille embosser drivers
  * Moved the implicitclass backend from the cups-filters into the cups-browsed
    binary package as it is used by cups-browsed (and so already needed by a
    level-1 printing stack)
  * Added dependencies on imagemagick (>= 6.4~), liblouisutdml-bin, and
    poppler-utils to cups-filters, as they are needed to convert images, text,
    and PDF to Braille, added antiword and docx2txt to Suggests: as they allow
    converting Word files to Braille

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Dec 2015 11:04:23 +0100

cups-filters (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Dec 2015 20:56:55 +0100

cups-filters (1.2.0-1) unstable; urgency=medium

  * New upstream release
    - foomatic-rip: SECURITY FIX: Also consider the back tick ('`') as an
      illegal shell escape character. Thanks to Michal Kowalczyk from the
      Google Security Team for the hint (CVE-2015-8327)

  [ Till Kamppeter ]
  * Moved /usr/share/cups/mime/* from cups-filters to cups-filters-core-drivers
    to get them installed in the level-2 printing stack on mobile devices.

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Nov 2015 21:15:31 +0100

cups-filters (1.1.0-1) unstable; urgency=medium

  * New upstream release with version numbering scheme changed

 -- Didier Raboud <odyx@debian.org>  Tue, 27 Oct 2015 19:09:02 +0100

cups-filters (1.0.76-1) unstable; urgency=medium

  * New upstream release

  [ Till Kamppeter ]
  * Let AppArmor allow cups-browsed access /var/cache/cups/ as it puts some
    files for default printer management and load balancing there

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Sep 2015 11:15:58 +0200

cups-filters (1.0.75-1) unstable; urgency=medium

  * New upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Sep 2015 08:52:16 +0200

cups-filters (1.0.74-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Sep 2015 09:26:56 +0200

cups-filters (1.0.74-1) experimental; urgency=low

  * New upstream release
    - cups-browsed: Added NULL check when getting the notification of
      a printer starting to process a job and checking whether this
      printer is created by cups-browsed with the implicitclass:
      backend (LP: #1488524)
    - backends: Include unistd.h and fcntl.h in backend-private.h for
      all platforms, not only Linux, so that the backends build also
      on non-Linux platforms (Bug #1308)

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Aug 2015 09:47:47 +0200

cups-filters (1.0.73-1) experimental; urgency=low

  * New upstream release
    - cups-browsed: Added LDAP support. Appropriately configured via
      cups-browsed.conf remote printers made available via LDAP will be
      looked up and local queues pointing to them created. Thanks to
      Raphael Geissert for contributing this patch (Closes: #795185)
    - foomatic-rip: Prevent crash when supplying "media" option with empty
      value ("media=", LP: #1479871)

  * Drop patches, all included upstream
  * Add a B-D on libldap2-dev for the new LDAP browsing support
  * Correct the CVE identifier in the previous upload

 -- Didier Raboud <odyx@debian.org>  Wed, 19 Aug 2015 18:04:54 +0200

cups-filters (1.0.71-1) unstable; urgency=medium

  * New upstream release
    - texttopdf: The Page allocation is moved into textcommon.c, where it does
      all the necessary checking, Thanks to Tim Waugh from Red Hat for the
      patch.
    - texttopdf: Upper-bounds checking (CVE-2015-3279).

  * Update gbp.conf again, use DEFAULTS
  * Amend 1.0.70-1 changelog entry to attribute the patch origin correctly to
    Tim Waugh

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jul 2015 12:39:51 +0200

cups-filters (1.0.70-2) unstable; urgency=medium

  * Refresh fix.scanned.copyright to reflect COPYING more closely, add a GPL-2
    catchall
  * Update gbp.conf again, changed my mind

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Jun 2015 23:10:02 +0200

cups-filters (1.0.70-1) unstable; urgency=medium

  * New upstream release
    - texttopdf: Fixed buffer overflow on size allocation of texttopdf
      when working with extremely small line sizes, which causes the size
      calculation to result in 0 (CVE-2015-3258, thanks to Tim Waugh
      from Red Hat for the patch).
    - foomatic-rip: Allow using another shell than /bin/bash using the
      "--with-shell=..." option for "./configure". Thanks to Leonardo
      Taccari for the patch (Bug #1288).

  * Add gbp.conf for dch and import-orig
  * Configure --with-shell to use Debian's default
  * Rewrite debian/copyright with the help of `cme update dpkg-copyright`

 -- Didier Raboud <odyx@debian.org>  Sat, 27 Jun 2015 15:05:04 +0200

cups-filters (1.0.69-1) unstable; urgency=low

  * New upstream release
    - Cope with the {pdfto,sys5}ippprinter filter rename

 -- Didier Raboud <odyx@debian.org>  Thu, 11 Jun 2015 08:41:13 +0200

cups-filters (1.0.68-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Remove obsolete font symlinks in /usr/share/cups/fonts (Closes: #788046)
  * Add patch to request the generic 'monospace' font alias from fontconfig
    instead of the hard-coded FreeMono (Closes: #788048)

 -- Didier Raboud <odyx@debian.org>  Tue, 09 Jun 2015 18:36:08 +0200

cups-filters (1.0.68-1) unstable; urgency=low

  * New upstream release
    - cups-browsed: Numeric IDs for GSources of the glib event
      loop must be positive integers greater than zero according
      to the documentation of the g_source_get_id() function.
      Taken care of this at all places.
    - Ricoh-PDF_Printer-PDF.ppd: Added PPD file for Ricoh's PDF printers
      (experimental). Thanks to Ulrich Wehner from Ricoh for the file.

 -- Didier Raboud <odyx@debian.org>  Thu, 07 May 2015 10:24:17 +0200

cups-filters (1.0.67-1) experimental; urgency=medium

  * New upstream release
     - cups-browsed: Use g_source_remove() instead of g_source_destroy()
       for killing auto shutdown timers (LP: #1427344).

 -- Didier Raboud <odyx@debian.org>  Sun, 12 Apr 2015 10:54:21 +0200

cups-filters (1.0.66-1) experimental; urgency=high

  * New 1.0.66 upstream release
    - cups-browsed: SECURITY FIX: Fixed a bug in the remove_bad_chars()
      failing to reliably filter out illegal characters if there are two
      or more subsequent illegal characters, allowing execution of
      arbitrary commands with the rights of the "lp" user, using forged
      print service announcements on DNS-SD servers (Bug #1265).
      (Closes: #780267, CVE-2015-2265)
    - Lots of bug fixes on legacy browsing/broadcasting. Thanks to Tim Waugh
      from Red Hat.
    - cups-browsed: Added PPD file generator for IPP Everywhere and other
      suitable IPP printers. So IPP printers set up automatically (using
      "CreateIPPPrinterQueues Yes" in cups-browsed.conf) get PPD files is
      possible and so printing options are sown in all print dialogs. The
      dialog does not need to request option information from the printer
      via IPP. Code taken from CUPS 2.1.x development branch.

  [ Didier Raboud ]
  * Update copyright years for Till's contributions

  [ Till Kamppeter ]
  * Added build dependency on libglib2.0-dev

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Mar 2015 14:05:44 +0100

cups-filters (1.0.62-1) experimental; urgency=low

  * New upstream bug fix release
    - cups-browsed: Added support for "BrowseAllow All" in the
      cups-browsed.conf file; drop the backported patch.

 -- Didier Raboud <odyx@debian.org>  Thu, 15 Jan 2015 18:06:05 +0100

cups-filters (1.0.61-5) unstable; urgency=high

  * Backport upstream's patch to fix a bug in the remove_bad_chars() failing
    to reliably filter out illegal characters, allowing execution of arbitrary
    commands with the rights of the "lp" user, using forged print service
    announcements on DNS-SD servers (Closes: #780267, CVE-2015-2265)
  * Urgency high for the security fix

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Mar 2015 13:50:30 +0100

cups-filters (1.0.61-4) unstable; urgency=medium

  * Brown-paper bag upload: revert unwanted change from previous upload in
    installed files.

 -- Didier Raboud <odyx@debian.org>  Sun, 23 Nov 2014 14:56:37 +0100

cups-filters (1.0.61-3) unstable; urgency=medium

  * Backport upstream's patch to add support for 'BrowseAllow all' in
    cups-browsed.conf (Closes: #766334)

 -- Didier Raboud <odyx@debian.org>  Sun, 23 Nov 2014 14:00:47 +0100

cups-filters (1.0.61-2) unstable; urgency=medium

  [ Jamie Strandboge ]
  * Under apparmor, allow cups-browsed to read /etc/cups/lpoptions
    (Closes: #765583, LP: #1379368)

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.6 without changes needed
  * Remove Martin Pitt from the Uploaders' field with many thanks for his past
    work on cups-filters

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Oct 2014 14:44:20 +0200

cups-filters (1.0.61-1) unstable; urgency=medium

  * New upstream bug fix release
     - cups-browsed: Fixed memory leak when a cups-browsed-generated print
       queue is the default printer.
     - cupsfilters.drv, *-PDF.ppd, textonly.ppd: Added "*cupsFilter2: ..."
       lines to the PPD files to support data-format-specific behavior of
       backends, especially of the IPP backend.
     - cups-browsed, pdftoippprinter: Do not confuse the PDL "PCLm" with
       "PCL". The former is a proprietary, PDF-based raster format and has
       nothing to do with PCL.
     - cupsfilters.drv: Corrected the CMD: field of the device ID, it must
       read "PWGRaster" there to conform to the PWG standard.

 -- Didier Raboud <odyx@debian.org>  Wed, 15 Oct 2014 16:11:01 +0200

cups-filters (1.0.59-1) unstable; urgency=medium

  * New upstream release

    - cupsfilters.drv: Added PPD file for a Generic IPP Everywhere
      Printer, generating PWG Raster output.
    - gstoraster, pdftoraster, imagetoraster: Allow PWG Raster
      output with print queues using a PPD file, using the new
      "PWGRaster" PPD attribute.
    - pdftoraster: Removed "cm_disabled" flag in selectConvFunc()
    - libcupsfilters: Allowed color management to continue while
      invalid input
    - rastertopdf: Streamlined PDF conversion code
    - rastertopdf: Invert all CUPS_CSPACE_K documents by default
    - foomatic-rip: Clean trailing white space from PPD file lines to
      avoid a segfault caused by it (Bug #1227).

 -- Didier Raboud <odyx@debian.org>  Sat, 27 Sep 2014 21:18:17 +0200

cups-filters (1.0.58-1) unstable; urgency=medium

  * New upstream release
     - Completion of color management support. Thanks to Joseph Simon adding
       color management as his Google Summer of Code 2014 project.
  * Update libcupsfilters1 symbols file with 15 new symbols

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Aug 2014 06:29:32 +0200

cups-filters (1.0.57-1) unstable; urgency=medium

  * Imported Upstream version 1.0.57
    - libcupsfilters, foomaticrip, gstoraster, imagetoraster,
      pdftoraster, rastertopclx, rastertopdf: Handle absence of
      colord or D-Bus gracefully (LP: #1356405).
  * Drop patches included upstream

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Aug 2014 09:13:34 +0200

cups-filters (1.0.56-1) unstable; urgency=medium

  * New upstream release
  * Patches:
    - Drop the backported upstream Backport upstream patch to fix cups-browsed
      detection of remote CUPS queues, was from this version
    - Add patch to fix implicit declaration of colord_get_inhibit_for_device_id
      in rastertopclx

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Aug 2014 17:17:56 +0200

cups-filters (1.0.55-2) unstable; urgency=medium

  * Backport upstream patch to fix cups-browsed detection of remote CUPS queues
    (Closes: #756724)

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Aug 2014 13:21:45 +0200

cups-filters (1.0.55-1) unstable; urgency=medium

  * New upstream release:
    - pdftopdf: Fixed manual duplex by adding a blank page to even
      pages if the total number of pages of the document is
      odd. Otherwise the last page of the document would stay in
      the input tray. This fixes also a side effect as the set of
      even pages reducing to a zero page job if the job consists
      of only one page, making Poppler's pdftops error out
      (LP: #1340435)
    - cups-browsed: Do not create a local queue pointing to a
      remote raw queue (LP: #1335211).

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Jul 2014 08:44:07 +0200

cups-filters (1.0.54-3) unstable; urgency=medium

  * Brown-paper bag upload without the autopkgtests attempts leftovers.

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Jun 2014 09:49:15 +0200

cups-filters (1.0.54-2) unstable; urgency=medium

  [ Didier Raboud ]
  * Install the new rastertopdf filter (Closes: #752146)

  [ Pino Toscano ]
  * Allow parallel build (Closes: #751196)

 -- Didier Raboud <odyx@debian.org>  Sat, 21 Jun 2014 14:41:14 +0200

cups-filters (1.0.54-1) unstable; urgency=medium

  * New upstream release:
    - pdftops: Default to "hybrid" setting for the PDF->PostScript
      renderer
    - foomatic-rip: Corrected declaration of print_pdf() function in
      pdf.h file (Closes: #748028)
    - cups-browsed: Create local queues also to access classes on
      remote CUPS servers (LP: #1313741)
  * Drop the ./configure option "--with-pdftops=hybrid" that is now default
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jun 2014 11:47:15 +0200

cups-filters (1.0.53-2) unstable; urgency=medium

  * Re-added ./configure option "--with-pdftops=hybrid" to activate the hybrid
    rendering mode
    (LP: #238129, #293832, #1072915, #1053443, #1097105, #1205898, #1326295)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  4 Jun 2014 12:08:06 +0200

cups-filters (1.0.53-1) unstable; urgency=medium

  * New upstream bugfix release:
    - foomatic-rip: Fixed segfault when creating log file (Bug #1206)
    - cups-browsed: SECURITY FIX: Fix on usage of the "BrowseAllow" directive
      in cups-browsed.conf. Before, if the argument of a "BrowseAllow"
      directive is not understood it is treated as the directive not having
      been there, allowing any host if this was the only "BrowseAllow"
      directive. Now we treat this as a directive which no host can fulfill,
      not allowing any host if it was the only one. No "BrowseAllow" directive
      means access for all, as before (Bug #1204).
    - cups-browsed: SECURITY FIX: Further improvement on the fix in 1.0.51 as
      it was insufficient. In addition, some fixes against OOB access are
      done. Thanks to Sebastian Krahmer for the patch (SUSE/Novell bug #871327).

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Apr 2014 18:06:02 +0200

cups-filters (1.0.52-1) unstable; urgency=medium

  * New upstream bug fix release
     - texttopdf: Make sure that margin changes for prettyprint
       get applied.
     - texttopdf, imagetopdf, imagetoraster: Range-check paper
       dimensions and margins taken from the PPD file and correct
       them if needed (Bug #1195).

 -- Didier Raboud <odyx@debian.org>  Sat, 12 Apr 2014 21:14:21 +0200

cups-filters (1.0.51-1) unstable; urgency=medium

  * New upstream bug fix release
     - cups-browsed: SECURITY FIX to prevent arbitrary code
       injection into the System V interface scripts generated for
       queues for discovered native IPP printers by a malicious IPP
       print service with forged make/model and/or PDL string.
       CVE-2014-2707 (Closes: #743470)

  [ Didier Raboud ]
  * Add patch to explicitly link to libm as -lm was dropped from
    cups-config --libs

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Apr 2014 11:11:10 +0200

cups-filters (1.0.50-1) unstable; urgency=medium

  * New upstream bug fix release
     - pdftops: Let old HP LaserJet printers (model number without
       letter, like "LaserJet 3" or "LaserJet 4000") use Poppler
       instead of Ghostscript (Closes: #742765).
     - pdftops: Improved workaround for Toshiba printers. Instead
       of using Poppler do not emit TrueType fonts with Ghostscript
       (LP: #998087).
     - cups-browsed: Build the device URIs for all local queues we create
       with the CUPS library function httpAssembleURIf() for proper
       percent escaping of characters which are not allowed in URIs
       (Upstream bug #1187).

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Mar 2014 21:18:05 +0100

cups-filters (1.0.49-1) unstable; urgency=medium

  [ Till Kamppeter ]
  * New upstream release
     - pdftops: Use Poppler also for Toshiba printers (LP: #998087).
     - pdftops: Fixed typo which always made PostScript level 2 being
       generated when using Poppler's pdftops (LP: #1294370).

  [ Marc Deslauriers ]
  * Use upstart job in source tree so AppArmor profile is correctly
    loaded before cups-browsed is started (LP: #1276630)
    - debian/local/cups-browsed.upstart: removed
    - debian/rules: copy upstart job from utils directory, stop using
      deprecated --upstart-only.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Mar 2014 21:29:17 +0100

cups-filters (1.0.48-1) unstable; urgency=medium

  * New upstream release 1.0.48
     - cups-browsed: Fix for a crash which happens on Bonjour reports of
       printers without "product", "usb_MDL", and "ty" fields in the
       text record (LP: #1284834).
     - cups-browsed: In README and in the sample startup scripts/configs
       for System V Init and Upstart taken into account the fact that it
       is not required any more to start avahi-daemon before starting
       cups-browsed.

  [ Didier Raboud ]
  * Fix bugnumber typo in previous changelog entry

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Mar 2014 10:50:53 +0100

cups-filters (1.0.47-2) unstable; urgency=high

  * In cups-browsed's initscript, demote avahi-daemon from
    Required-{Start,Stop}, to Should-{Start,Stop}, to cope with the
    corresponding demotion in dependencies (Closes: #741353)
  * Set urgency to high for the fix of four CVEs in -1.

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Mar 2014 19:05:48 +0100

cups-filters (1.0.47-1) unstable; urgency=medium

  * New upstream release 1.0.47
     - pdftoopvp: SECURITY FIX for CVE-2013-6474, CVE-2013-6475,
       and CVE-2013-6476: Introduction of gmallocn and gmallocn3
       to protect against arbitrary code execution with the
       privileges of the "lp" user via malicious PDF files. Also
       restrict the directory from where OPVP drivers can get
       loaded (Closes: #741318)
     - urftopdf: SECURITY FIX for CVE-2013-6473: Two heap-based
       buffer overflow flaws in urftopdf. If a malicious URF file
       were processed it could lead to arbitrary code execution
       with the privileges of the "lp" user (Closes: #741318)

  [ Till Kamppeter ]
  * Demote Dependency of cups-browsed on avahi-daemon to Recommends, also
    remove "on started avahi-daemon" from the "start on ..." rule in
    /etc/init/cups-browsed.conf (LP: #1242185, LP: #1178172)

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Mar 2014 13:36:14 +0100

cups-filters (1.0.46-2) unstable; urgency=medium

  * Convert to dh tiny style away from cdbs, fix and run the tests in the
    process
  * Install cups-browsed.service, therefore build-depend on and use dh-systemd
  * Move the repository from pkg-cups to printing; update the VCS-* fields
    accordingly

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 17:03:34 +0100

cups-filters (1.0.46-1) unstable; urgency=medium

  * New upstream release 1.0.46
  * Move LP_LOAD_MODULES configuration away from cups to
    /etc/modules-load.d/cups-filters.conf

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Feb 2014 15:45:32 +0100

cups-filters (1.0.46-0ubuntu1) trusty; urgency=low

  * New upstream release 1.0.46
     - gstoraster: Ignore SIGCHLD, rely on waitpid instead. Thanks
       to Lauri Tirkkonen (Upstream bug #1184).
     - gstoraster: Fix two instances of insufficient EINTR handling.
       Thanks to Lauri Tirkkonen (Upstream bug #1184).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Feb 2014 20:19:06 +0100

cups-filters (1.0.45-1) unstable; urgency=medium

  * New upstream release 1.0.45
    - cups-browsed: Under Upstart load the AppArmor profile (LP: #1276630)
    - foomatic-rip: Do not use PATH_MAX for the length of static strings
      which are supposed to hold a command line. Use our own CMDLINE_MAX
      constant to set them to a length of 65535 bytes
      (LP: #1019662, Closes: #738440).

  * Drop the upstart patch now included upstream
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Feb 2014 10:37:28 +0100

cups-filters (1.0.44-2) unstable; urgency=medium

  [ Jamie Strandboge ]
  * Add patch to ensure that under upstart, the apparmor profile is
    loaded in the kernel before cups-browsed is started (LP: #1276630)

  [ Didier Raboud ]
  * Drop specific fonts' dependencies from cups-filters, as a reasonable
    set of fonts is provided through fontconfig already, thanks to
    Fabian Greffrath (Closes: #735223, #670059)

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Feb 2014 17:25:00 +0100

cups-filters (1.0.44-1) unstable; urgency=low

  * New upstream release 1.0.44

  [ Till Kamppeter ]
  * Split binary package "cups-filters" into "cups-filters" and
    "cups-filters-core-drivers". In low-footprint (mobile) environments we
    can restrict the printer support to only IPP printers with known
    common languages (PDF, PostScript, PWG Raster, PCL) to get rid of
    the heavy load of drivers and PPDs for thousands of printers. From
    cups-filters we need only the "cups-browsed" and
    "cups-filters-core-drivers" (plus library packages) then and with
    "cups-daemon" and "cups-core-drivers" from CUPS and "poppler-utils"
    and "libpoppler" from Poppler one gets a low-footprint printing stack
    for mobile devices setting up IPP printers automatically (Needs
    "CreateIPPPrinterQueues Yes" in cups-browsed.conf).
  * AppArmor profile: Allow reading and writing in /tmp/ as cups-browsed
    creates temporary files when setting up native IPP printers PPD-less
    ("CreateIPPPrinterQueues Yes" in cups-browsed.conf).

  [ Didier Raboud ]
  * Strip UNRELEASED 1.0.39-1 changelog entry (Closes: #733981)
  * Drop update-rc.d arguments in Debian, as they are no longer
    supported

 -- Didier Raboud <odyx@debian.org>  Sun, 26 Jan 2014 12:28:55 +0100

cups-filters (1.0.43-1) unstable; urgency=medium

  * New upstream release 1.0.43:
    - pdftopdf: Fixed software copy generation logic for printers
      with hardware copy generation, but without collate support
      (LP: #1259240).
    - pstopdf: Support for the "landscape" and
      "orientation-requested" options (LP: #1243484).
  * Drop all patches:
    - PATH_MAX fix was from upstream;
    - The Fedora fix for PDF landscape printing got included
      differently.
  * Update debian/watch to prefer .xz tarballs
  * Install manpages for cups-browsed and foomatic-rip

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Dec 2013 19:29:49 +0100

cups-filters (1.0.42-2) unstable; urgency=low

  [ Didier Raboud ]
  * Switch avahi LSB Required-{Start,Stop} dependencies to be
    avahi-daemon; also bump package relationship to >= 0.6.31-3~
    (Closes: #731611)
  * Add Debian-specific more lightweight default testpage in svg;
    convert it at build-time with rsvg-convert, hence add librsvg2-bin
    in Build-Depends. Thanks to Stefan Nagy (Closes: #718895)
  * Make all Ubuntu derivatives use Ubuntu material through dpkg-vendor
    --derives-from instead of --is
  * Backport upstream patch to fix kFreeBSD FTBFS due to conflicting
    PATH_MAX defintions. Thanks to Peter Green (Closes: #731658)

  [ Felix Geyer ]
  * Include AppArmor profile (Closes: #728709)

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Dec 2013 15:01:49 +0100

cups-filters (1.0.42-1) unstable; urgency=low

  * New upstream release 1.0.42:
     - cupsfilters.convs: Corrected cost factor of
       vnd.cups-postscript -> vnd.cups-raster conversion with
       gstoraster, so that input data of the type
       application/vnd.adobe-reader-postscript is converted
       correctly (not via pstotiff). Thanks to Tim Waugh from Red
       Hat for this patch
     - cups-browsed: Fixed several memory leaks by adding missing
       free() calls and removing an unneeded strdup(). Thanks to
       Jaromir Koncicky from Red Hat for the patch (Red Hat bug
       #1027317).
     - foomatic-rip: Moved foomatic-rip's upstream home from the
       foomatic-filters package to cups-filters, to make it easier
       for distributions to ship and maintain a complete printing
       stack and also to make upstream maintenance and development
       easier.
     - gstoraster: Fixed build system for gstoraster use D-Bus for
       colord support.

  [ Till Kamppeter ]
  * Drop patches included upstream:
    - Include dbus to make sure colord support works; therefore add
      libdbus-1-dev in Build-Depends
    - Fix memory leaks in cups-browsed
    - Adjust filter costs so application/vnd.adobe-read-postscript input
      doesn't go via pstotiff
  * Updated libcupsfilters1 symbols for 1.0.42
  * Add "Conflicts/Replaces/Provides: foomatic-filters" for the
    cups-filters binary package. Now foomatic-rip is part of
    cups-filters and the foomatic-filters package is obsolete and should
    get automatically uninstalled by the cups-filters binary package.

  [ Didier Raboud ]
  * Move packaging from bzr to git
    - Drop .bzr-builddeb
    - Update Vcs-* fields
  * Drop conflicting Recommends against foomatic-filters
  * Rename ttf-dejavu dependency to fonts-dejavu (Closes: #716744)

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Dec 2013 23:36:33 +0100

cups-filters (1.0.41-2) unstable; urgency=low

  * Import several patches from Fedora:
    - Fix PDF landscape printing
    - Include dbus to make sure colord support works; therefore add
      libdbus-1-dev in Build-Depends
    - Fix memory leaks in cups-browsed (Closes: #730720)
    - Adjust filter costs so application/vnd.adobe-read-postscript input
      doesn't go via pstotiff
  * Use dh-autoreconf to cope with the patching of configure.ac
  * In cups-filters, add Replaces and Breaks against cups-ppdc << 1.6 as
    pcl.h moved (Closes: #730709)

 -- Didier Raboud <odyx@debian.org>  Thu, 28 Nov 2013 23:27:04 +0100

cups-filters (1.0.41-1) unstable; urgency=low

  * New upstream release 1.0.41:
     - pdftops: Introduced new "hybrid" renderer: Here usually
       Ghostscript is used, but if the printer is a Brother,
       Minolta, or Konica Minolta Poppler's pdftops gets used. This
       is a quirk rule to work around bugs in the PS interpreters
       of the printers (LP: #1097105, LP: #1053443, LP: #1205898, LP: #238129,
       LP: #1072915, LP: #293832).
     - cups-browsed: Assure that it always applies to the local CUPS
       daemon and never to a remote one specified via client.conf
       (LP: #1207203).
     - pdftops: If one or more of the PDF-to-PS renderers (Ghostscript,
       Poppler pdftops, Poppler pdftocairo, acroread) is not installed
       at build time, pre-fill the appropriate executable's path with the
       executable name to allow the use of this renderer when it gets
       installed later (Closes: #716842).
     - Added man pages for cups-browsed and cups-browsed.conf. Thanks to
       Brian Potkin for the contribution (Closes: #714460).
     - pdftops: Let Poppler generally generate PostScript level 3 if the
       PPD identifies the printer as PS3 printer, make an exception of
       sending PostScript Level 2 only for HP's laser printers, to not
       compromise print quality and performance on all PS3 printers only
       due to some buggy HP models (Closes: #712949, see also LP: #277404).

  [ Till Kamppeter ]
  * Added Conflicts/Provides/Replaces and droppded Recommends/Breaks against
    ghostscript-cups to the cups-filters binary package as all files from
    ghostscript-cups moved to cups-filters (LP: #1212239).
  * debian/libcupsfilters1.symbols: Updated for 1.0.36
  * debian/rules: Removed "--with-browseremoteprotocols=dnssd" from the
    ./configure command line, we use the upstream default "dnssd,cups"
    now.
  * debian/rules: Added ./configure option "--with-pdftops=hybrid" to activate
    the hybrid rendering mode (LP: #1097105, LP: #1053443, LP: #1205898,
    LP: #238129, LP: #1072915, LP: #293832).

  [ Didier Raboud ]
  * Install escp.h and pcl.h in the CUPS ppdc include directory; this
    fixes cupsfilters.drv.
  * In cups-browsed's postinst:
    - Drop useless uses of cat
    - Handle upgrade of Browse{Remote,Local}Protocols from cups < 1.6
  * Make cups-browsed break cups-daemon << 1.6.4 to make sure the above
    upgrade is left possible

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Nov 2013 17:39:38 +0100

cups-filters (1.0.34-3) unstable; urgency=low

  * In cups-browsed:
    - move cups from Depends to Enhances, also drop it from the init
      script requirements; it is not strictly necessary for cups-browsed
      to function.
    - add avahi-daemon to Depends, it is needed for the daemon to
      actually start. This will also transitively bring libnss-mdns in
      the normal cases as it is a recommends of avahi-daemon.
      (Closes: #711319, #711229)
    - in postinst, only try to import cups changes if the configuration
      file exists.
    - make the long description clearer on the situations in which it is
      useful. (Closes: #698141)

 -- Didier Raboud <odyx@debian.org>  Sun, 09 Jun 2013 12:24:26 +0200

cups-filters (1.0.34-2) unstable; urgency=low

  * Upload to unstable.

  [ Till Kamppeter ]
  * debian/local/cups-browsed.upstart: Give up starting cups-browsed after
    3 failed attempts in 4 minutes. This avoids infinite respawning when
    avahi-daemon is not running (LP: #1098756).

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jun 2013 14:57:22 +0200

cups-filters (1.0.34-1) experimental; urgency=low

  * New upstream bug fix release 1.0.33:
     - cups-browsed: Added NULL check (Upstream bug #1106).
  * New upstream bug fix release 1.0.34:
     - pdftopdf: Fixed duplex printing logic. Before when printing
       duplex jobs with multiple copies and a odd number of pages,
       the first page of the second copy got onto the back side of
       the last page of the first copy, rendering printing more than
       one copy unusable.
     - cups-browsed: If a queue left over from the last session
       gets confirmed, fill in the data structure with the Bonjour
       parameters, also update the Bonjour parameters if a local
       queue is upgraded from IPP to IPPS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Apr 2013 19:53:06 +0200

cups-filters (1.0.32-1) experimental; urgency=low

  * New upstream bug fix release
     - cups-browsed: Shared algorithm to generate local queues based on
       browsed remote queue data between Bonjour and CUPS browsing, as the
       simpler method used for CUPS browsing could overwrite local print
       queues and had de-duplication problems, for example if the server
       appears on two IPs in the network (connected by both ethernet and
       WLAN).
     - cups-browsed: CUPS broadcasting also broadcasted non-shared,
       especially cups-browsed-generated printers. Switched to detection
       of non-shared printers by the appropriate bit in the printer-type
       bit field IPP attribute.
     - cups-browsed: Made CUPS broadcasting work also without BrowseAllow
       lines in cups-browsed.conf. In this case we accept all remote
       printers (LP: #1163764).
     - README: Updated documentation for cups-browsed.
     - Added more comments and examples to /etc/cups/cups-browsed.conf.
     - cups-browsed: Added support for "...:<port>" extensions of
       BrowsePoll addresses. Thanks to Tim Waugh from Red Hat
       (LP: #1159213).

  [ Till Kamppeter ]
  * Let cups-browsed overtake browsing-related directives from
    /etc/cups/cupsd.conf into /etc/cups/cups-browsed.conf. Comment out
    directives which introduce CUPS broadcasting/browsing so that users
    use this deprecated method only if absolutely necessary. Add
    comments to tell the user about how to use the added lines.
    (LP: #1159213)

  [ Didier Raboud ]
  * Use the new fonts-freefont-ttf package name
  * Add simple cups-browsed init script (Closes: #700929)

 -- Didier Raboud <odyx@debian.org>  Thu, 04 Apr 2013 13:51:25 +0200

cups-filters (1.0.31-1) experimental; urgency=low

  * New upstream release
     - cups-browsed: cups-browsed removed valid local queues pointing to
       remote queues when cups-browsed did not shut down cleanly after
       the previous session, leaving the user with missing local accessor
       queues for some of the remote CUPS queues (LP: #1131149).
     - pdftopdf: Improved error output.
     - pdftopdf: getRotation now handles unusual cases more graceful
       (LP: #1154318).
     - cups-browsed: Do not remove a generated local print queue when
       it was made the system default printer (LP: #1146407).
     - texttopdf: Fixed corrupted pdf when a utf-8 title is given and
       corresponding crash with 'prettyprint' (LP: #1137438).
     - cups-browsed: Added CUPS Broadcasting for sharing local printers
       to remote CUPS clients with CUPS 1.5.x and older. Thanks to Tim
       Waugh from Red Hat.
     - cups-browsed: Added sample config-file and build-time default
       setting options. Thanks to Tim Waugh from Red Hat.
     - cups-browsed: Added CUPS browsing and BrowsePoll functionality, to
       be backwards compatible to CUPS 1.5.x and older servers. Thanks
       to Tim Waugh from Red Hat.
     - pdftopdf: Fixed incorrect evenDuplex page insertion (Upstream bug #1088).
     - pdftoopvp: Let it build with Poppler 0.22.x. Thanks to Koji Otani
       from BBR Inc. (Upstream bug #1089).

  [ Stéphane Graber ]
  * In upstart, only start cups-browsed if avahi-daemon is started.

  [ Till Kamppeter ]
  * Added build dependency on libavahi-glib-dev.
  * Build-depend on libqpdf-dev >= 4.0.1, to make printing filled PDF forms
    work via pdftopdf.
  * Install /etc/cups/cups-browsed.conf.
  * Set default "BrowseRemoteProtocols dnssd" in /etc/cups/cups-browsed.conf.

  [ Didier Raboud ]
  * Reduce Priority/Section redundancy in debian/control
  * Fix minor debian/copyright caveats
  * Make the libcupsfilters-dev description more verbose.
  * Don't double-install NEWS as doc and changelog
  * Make the libfontembed-dev description more verbose.
  * Move under the Debian Printing Team umbrella.
  * Add initial libfontembed1 symbols file.

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Apr 2013 10:09:28 +0200

cups-filters (1.0.28-1) experimental; urgency=low

  * New upstream release
     - cups-browsed: Added daemon to browse the Bonjour broadcasts of
       shared remote CUPS printers and automatically add local raw queues
       pointing to them, to resemble the behavior of the former CUPS
       broadcasting/browsing which was dropped in CUPS 1.6. Now remote
       printers appear as local print queues as before, but with the
       standardized Bonjour broadcasting (LP: #1086019, LP: #1061063,
       LP: #1061069).
  * debian/control: Added build dependencies on Avahi, needed for the new
    cups-browsed and also a new binary package named cups-browsed.
  * debian/cups-browsed.install: New cups-browsed binary package.
  * debian/local/cups-browsed.upstart: Upstart configuration file for
    cups-browsed.
  * debian/rules: Added everything needed so that the cups-browsed daemon gets
    started automatically.
  * debian/cups-filters.install: Include files from /usr/bin.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 04 Jan 2013 15:19:06 +0100

cups-filters (1.0.25-1) experimental; urgency=low

  * New upstream release
     - urftopdf: Newly added filter to convert the URF format which (at
       least some) iOS apps send when printing via AirPrint (Upstream bug
       #1076).
     - pdftopdf: pdfautorotate functionality has been patched directly
       into pdftopdf (LP: #1040037, Upstream bug #1080).
     - pdftopdf: "mirror" produced only empty pages (XObjects not there).
     - pdftopdf: Fixed segfault on "page-ranges=1-2147483647" (from cups).
     - pdftopdf: Fixed collate filler insertion.
     - texttopdf: Fixed deficient string escaping (Upstream bug #1071).
     - serial backend: Added check for sys/ioctl.h to configure.ac (Upstream bug
       #1069).
  * debian/patches/texttopdf-fix-deficient-string-escaping.patch: Removed
    fix backported from upstream.
  * debian/rules: Added "DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend" to not
    correct the permissions of CUPS backends (LP: #1076786).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Nov 2012 20:14:07 +0100

cups-filters (1.0.24-3) experimental; urgency=low

  * Add bc to cups-filters' depends as pstopdf uses it.

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Oct 2012 11:03:30 +0200

cups-filters (1.0.24-2) experimental; urgency=low

  * debian/patches/texttopdf-fix-deficient-string-escaping.patch: Fixed
    unsufficient string escaping in texttopdf (Upstream bug #1071).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 25 Sep 2012 06:15:07 +0200

cups-filters (1.0.24-1) experimental; urgency=low

  * New upstream release
     - pdftopdf now generates the necessary pdf comments to disable
       duplicate number-up when pdftops is also applied (Upstream bug #1063).
     - pdftops: Added support for using Adobe Reader (acroread) in command
       line mode for turning PDF to PostScript (Upstream bug #1065).
     - pdftops: Fix stripping of page management options from the pstops
       command line which got already applied by pdftopdf. If the name
       of the option to be removed is contained in the name of a option
       in the command line (like "number-up" in "number-up-layout" or
       "scaling" in "Natural-scaling"), this option gets stripped instead
       of the correct option (Upstream bug #1064).
     - Removed filter/pdftopdf.old
     - Fixed the requires.private for cupsfilters lib
  * debian/control: Versioned build dependency on libqpdf-dev.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 07 Sep 2012 15:32:43 +0200

cups-filters (1.0.22-1) experimental; urgency=low

  * New upstream release
     - pdftopdf filter replaced by new QPDF-based filter from Tobias
       Hoffmann's Google Summer of Code project. The former Poppler-based
       pdftopdf duplicated a lot of Poppler's code. The old filter is
       still in the package as pdftopdf.old with source code in
       filter/pdftopdf.old. It will be removed in a later release.
     - bannertopdf: Page duplication routine fixed.
     - bannertopdf: Fixed invalid output of a direct stream object.
     - Added most recent contributors to AUTHORS and COPYING files.
  * debian/control: Added build dependency on libqpdf-dev.
  * debian/copyright: Updated for the addition of the new pdftopdf filter.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Aug 2012 14:53:42 +0200

cups-filters (1.0.20-1) experimental; urgency=low

  * New upstream release
     - pdftops: Added another workaround for Kyocera printers: Some
       models get very slow on images which request interpolation,
       so now we remove the image interpolation requests by additional
       PostScript code only inserted for Kyocera printers (LP: #1026974).
     - Made the Poppler-based filters pdftopdf and pdftoopvp build with
       both Poppler 0.18.x and 0.20.x (Upstream bug #1055).
     - Fixes according to Coverity scan results (Upstream bug #1054).
     - Switched build system to autotools. This especially fixes several
       build problems in Gentoo. Also build-tested with CUPS 1.6.0b1.
     - Fixes for compatibility with clang/gcc-4.7.
     - textonly: Filter did not work as a pipe with copies=1 (Upstream bug
       #1032).
     - texttopdf: Avoid trimming the results of FcFontSort(), as this may
       miss some reasonable candidates under certain circumstances. BTW,
       fix passing a non-pointer as a pointer to "result" (Closes: #670055).
     - Corrected documentation. The option for the maximum image rendering
       resolution in pdftops is "pdftops-max-image-resolution", not
       "pdftops-max-image-resolution-default".
  * debian/patches/fcfontsort-no-trim.patch: Removed, fixed upstream.
  * debian/rules: Updated options for ./configure and make for the new autotools
    build system.
  * debian/watch: Switched to bz2 upstream packages.
  * debian/rules, debian/copyright, debian/cups-filters.docs: Updated for
    renamed documentation files.
  * debian/control, debian/libfontembed1.install,
    debian/libfontembed-dev.install: Added new binary packages for libfontembed.
  * debian/copyright: Updated for recent file additions, and rearrangement of
    directories.
  * debian/control: Added missing build dependency on libpoppler-cpp-dev.
  * debian/copyright: Corrections (Closes: #682752).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 28 Jul 2012 11:54:32 +0200

cups-filters (1.0.18-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add patch to avoid trimming the results of FcFontSort(), as this may
    miss some reasonable candidates under certain circumstances. BTW,
    fix passing a non-pointer as a pointer to "result". (Closes: #670055)

 -- Didier Raboud <odyx@debian.org>  Fri, 18 May 2012 15:01:54 +0200

cups-filters (1.0.18-1) unstable; urgency=low

  * New upstream release
     - pdftops: Allow selection whether Ghostscript or Poppler is used
       at runtime, setting the "pdftops-renderer" option to "gs" or
       "pdftops". This way one can switch to Poppler per-queue if there
       are incompatibilities with certain PostScript printers.
     - pdftops: Allow setting an upper limit for the image rendering
       resolution, also at runtime, setting the option
       "pdftops-max-image-resolution-default" to the desired limit in dpi.
       "0" means no limit. Default limit is 1440 dpi. This prevents slow
       processing by the printer if very high resolutions are used or
       if the printing resolution is mis-detected by the pdftops filter.
     - pdftops: Fixed crash by wrong usage of sizeof() function when adding
       "Collate" to the fifth command line argument for the "pstops" CUPS
       filter call (LP: #982675).
     - pdftops: Removed newline from copies value when reading it from
       the "%%PDFTOPDFNumCopies" entry of the incoming PDF file.
     - pdftops: Silenced compiler warning about ignoring the return
       value of the write() function.
     - pdftops: Added a crash guard.
     - pdftops: Start determining the printing resolution with
       cupsRasterInterpretPPD(), this is the most reliable as often
       the choice names of the "Resolution" option are marketing names
       with higher numerical values than the actual resolution. Also
       ignore error exit values of cupsRasterInterpretPPD() as the
       function can error out after having found the resolution.
     - pdftops: If printing resolution is determined by
       cupsRasterInterpretPPD() do not stick on 100 dpi if the
       resolution cannot be determined (LP: #984082).
     - pdftopdf: Fixed segmentation fault when printing selected pages
       ("page-ranges" option, LP: #980673).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 16 May 2012 11:45:03 +0200

cups-filters (1.0.16-2) unstable; urgency=low

  * Drop libtiff5-dev, just use libtiff-dev, this fixes the FTBFS due to
    incompatibility with cups.

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Apr 2012 10:35:41 +0200

cups-filters (1.0.16-1) unstable; urgency=low

  * New upstream release
     - pdftopdf: Fixed segmentation faults when using N-up with certain PDF
       files (LP: #980673) and when calling pdftopdf manually without
       specifyting a PPD file.
     - pdftops: Suppress image compression only for Brother printers as they
       really need this measure to print at all. This accelerates printer-
       internal job processing on most other printers (tested on HP and
       Kyocera). Also suppress page compression on Kyocera printers, this
       works around a bug in Kyocera's PostScript interpreters which makes
       printing pages with images very slow (LP: #977912).
     - pdftops: Determine printing resolution from the PPD file and supply
       it on the Ghostscript or pdftops (Poppler) command line, so that
       the renderer does the image rendering with a resolution matching the
       printer's resolution. This avoids too slow processing of the jobs
       by the printer's built-in PostScript interpreter. In addition
       a default resolution of 300 dpi is used for PPDs without any hint
       of the printer's resolution, as most PostScript lasers use multiples
       of 300 dpi as resolution (LP: #977912).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 16 Apr 2012 12:36:03 +0200

cups-filters (1.0.13-1) unstable; urgency=low

  * New upstream release
     - Fixed display of job date on test page and banner pages (LP: #975064).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Apr 2012 07:40:11 +0200

cups-filters (1.0.12-1) unstable; urgency=low

  * New upstream release
     - Fixed crash of imagetopdf filter when it is called manually
       without supplying a valid PPD file (LP: #973564).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 05 Apr 2012 13:35:24 +0200

cups-filters (1.0.11-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Updated all code copied from Poppler to the current state of Poppler,
       to fix any bugs or security vulnerabilities which were in that
       Poppler code.
     - Made Poppler-based PDF filters building with various versions of
       Poppler.
     - Deactivated MIME conversion rules which are not used by the PDF-
       based printing workflow.
     - Added generic PPD for native PDF printers.
     - Cleaned up sample PPD file HP-Color_LaserJet_CM3530_MFP-PDF.ppd.
     - imagetopdf: Added support for native PDF printers.
     - imagetopdf, imagetoraster: Let image input "scale to fit"
       by default. This makes photo printing via AirPrint work,
       as the iOS devices send JPEG but do not allow setting options.
     - pdftops: Generally do not compress fonts and images, and
       also do not do CCITT compression for bitmap glyphs to make
       the PostScript output more compatible with buggy PostScript
       interpreters. The output gets 30-50% longer but will work on
       many more different printer models. Problems were also
       discovered on HP and not only on Brother (LP: #960666).

  [ Martin Pitt ]
  * Drop debian/patches/poppler-pre-0.18.patch and patch machinery around it.
    It's not necessary with the current upstream version any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 30 Mar 2012 08:49:48 +0200

cups-filters (1.0.7-1) unstable; urgency=low

  * New upstream release
     - cups-filters 1.0.7 release
     - pdftops: Added debug mode for investigating PostScript printer
       incompatibilities and interpreter bugs. Now sending a job with
       "lpr -o psdebug" makes the filter sending uncompressed PostScript.
     - pdftops: Additional workaround for a bug in the PostsSript interpreters
       of Brother printers, calling Ghostscript with special command line
       options (LP: #955553).
     - pdftopdf: Correct handling of PJL output and page_log messages on
       native PDF printers and on printers using a driver after pdftopdf
       (including PostScript printers).
     - texttopdf: Full fontconfig support, several bug fixes and improvements
       to make the output work on more different PDF interpreters, including
       built-in interpreters in printers.
     - Fixed cupsfilters.drv PPD generator and rastertopclx filter to make the
       supported HP DesignJet printers actually work.
     - parallel backend: Use same method as CUPS to overcome infinite loop
       on side channel errors (LP: #936647, CUPS STR #4044).
     - "make clean" and "make distclesn" work also correctly now when called
       repeatedly (Closes: #663564).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 21 Mar 2012 09:18:55 +0100

cups-filters (1.0.5-1) unstable; urgency=low

  * New upstream release
    - cups-filters 1.0.5 release
    - pdftops: Added insertion of workaround PostScript code for printers
      with bugs in their PS interpreters (LP: #950713, LP: #951627).
    - parallel backend: Break infinite loop (LP: #936647).
    - texttopdf: Complete the implementation of fontconfig-based font
      selection (Closes: #663070).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 14 Mar 2012 11:43:22 +0100

cups-filters (1.0.4-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
    - cups-filters 1.0.4 release
    - texttopdf: Fall back to altermative fonts via fontconfig if the
      FreeMono TrueType fonts are not installed (Closes: #495598,
      Closes: #662660).
    - bannertopdf: Fix off-by-one error in page duplication
    - bannertopdf: Put indirect references to streams into the page's
      contents
    - bannertopdf: Let byte offsets for the Xref table of the PDF output
      being determined correctly also when the output goes to stdout
      (LP: #939735).
    - bannertopdf: Output multiple copies of the test page if duplex
      and/or N-up is chosen, to let the test page appear on all possible
      positions of the sheet (LP: #939530).
    - bannertopdf: Scale test page template to fit the job's page size,
      get and display full page geometry information, draw the frame which
      marks the printable area 1pt smaller, to assure that it gets completely
      visible (LP: #921073).
  * debian/local/default-testpage.pdf: Added missing "Q" operator to the end of
    the page. This broke N-up printing with pdftopdf (LP: #939530).
  * debian/control: Added explicit build dependency on libfontconfig1-dev.
    (Closes: #661127)
  * debian/control: Changed font dependency (for texttopdf) to "ttf-freefont |
    fonts-liberation | ttf-dejavu" instead of only "ttf-freefont"
    (Closes: #495598, Closes: #662660).

  [ Martin Pitt ]
  * debian/control: Build against libpng-dev, with an alternative to the older
    libpng12-dev. (Closes: #662295)
  * debian/control: Prefer building against libtiff5-dev if available, falling
    back to libtiff-dev.
  * debian/control, debian/rules: Move from hardening-wrapper to using
    dpkg-buildflags. Bump dpkg-dev build dependency to (>= 1.16.1~) for this.
  * debian/copyright: Update Format header for official copyright format 1.0.
  * debian/control: Bump Standards-Version to 3.9.3.
  * debian/rules: Drop LC_MESSAGES setting, leftover from cups.
  * debian/control: Bump libcupsimage2-dev build dependency to ensure to build
    against a version which does not conflict on the libtiff?-dev build
    dependency.

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Mar 2012 14:36:49 +0100

cups-filters (1.0.2-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - cups-filters 1.0.2 release
     - bannertopdf fixes
  * debian/local/default-testpage.pdf, debian/source/include-binaries: Added
    Ubuntu-branded test page template.
  * debian/rules: Replace the upstream test page template by the Ubuntu-branded
    one if the package is built under Ubuntu.

  [ Martin Pitt ]
  * debian/control: Build-depend on libpoppler-private-dev for the impending
    poppler 0.18 transition. Thanks Pino Toscano! (Closes: #660989)

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Feb 2012 14:48:00 +0100

cups-filters (1.0.1-1) unstable; urgency=low

  * New upstream release
     - cups-filters 1.0.1 release
     - Included the textonly filter, Red Hat's driver for text-only printers.
     - Install sample PPD file for pdftoijs (for HP PhotoSmart Pro B8300).
     - Added cupsfilters.drv, providing support for the HP DesignJet 600,
       750C, 1050C, 4000, T1100, T790.
     - Added texttops and imagetops filters for backward compatibility
       (Closes: #658258).
     - Use Ghostscript as default renderer when building pdftops (LP: #926068).
     - Build system and documentation fixes
     - Incorporated distro patches upstream: Cost factor 100 for pdftoraster,
       installation of C headers, PDF filter documentation
  * debian/local/text*, debian/local/README.pdf-filters: Removed, incorporated
    upstream.
  * debian/cups-filters.ppd-updater: Updated appropriate to changes in the
    upstream package.
  * debian/cups-filters.install: Updated due to upstream inclusion of
    textonly filter.
  * debian/rules: Removed extra rules for working around build system bugs
    in 1.0b1.
  * debian/libcupsfilters-dev.install: Install the files via this .install file
    now and not via debian/rules.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 07:23:51 +0100

cups-filters (1.0~b1-3) unstable; urgency=low

  * debian/control: Add missing libijs-dev build dependency.

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Jan 2012 07:21:37 +0100

cups-filters (1.0~b1-2) unstable; urgency=low

  * Upload to unstable.

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Jan 2012 06:35:46 +0100

cups-filters (1.0~b1-1) experimental; urgency=low

  * Initial Release. This is a splitout of all filters which are currently
    being shipped by the "cups" package but are not provided by upstream any
    more. These now have a new home at openprinting.org. Upload to
    experimental for getting it through NEW, then cups and cups-filters will
    be uploaded to unstable in lockstep.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 28 Jan 2012 13:13:07 +0100
